package com.steering.mes.zgmil.entity;
/**
 * 数据库表MIL_SAW_RACK所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-08-20
 */
public class MilSawRackEntity {
    /**
     * 切后剔除支数
     */
    private String scrapDbnum;
    /**
     * 材料号
     */
    private String matNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 钢级代码
     */
    private String steelcode;
    /**
     * 钢级名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 排号
     */
    private String rowNo;
    /**
     * 定尺长度
     */
    private String orderLength;
    /**
     * 切头长度
     */
    private String cutHeadLength;
    /**
     * 切尾长度
     */
    private String cutTrailLength;
    /**
     * 锯号1
     */
    private String sawNo;
    /**
     * 锯号2
     */
    private String sawNoN;
    /**
     * 状态(0-未分切 1-开始分切 2-切前剔除 3-切后剔除 4-分切完成)
     */
    private String status;
    /**
     * 管排锯开始时间
     */
    private String startSawTime;
    /**
     * 管排锯结束时间
     */
    private String endSawTime;
    /**
     * 下线标识(0-未下线 1-下线)
     */
    private String offlineFlag;
    /**
     * 下线时间
     */
    private String offlineTime;
    /**
     * 跟队标识(0-未跟队 1-跟队)
     */
    private String followFlag;
    /**
     * 跟队炉号
     */
    private String followHeatNo;
    /**
     * 跟队时间
     */
    private String followTime;
    /**
     * 组炉标识(0,未组炉 1-组炉)
     */
    private String groupFlag;
    /**
     * 组炉前炉号
     */
    private String beforeHeatNo;
    /**
     * 组炉前物料号
     */
    private String beforeMatNo;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 最后一刀定尺长
     */
    private String lastOrderLength ;
    /**
     * 切尾类型（0-被动切尾 1-主动切尾）
     */
    private String cutType ;
    /**
     * 实际轧制长度
     */
    private String realRollLength ;
    /**
     * 序号
     */
    private String seq ;
    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;

    public MilSawRackEntity(){
    	proPlanId = "";
		gxPlanNo = "";
    	seq="";
    	lastOrderLength="";
    	cutType="";
    	realRollLength="";
        scrapDbnum = "";
        matNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        plineCode = "";
        rowNo = "";
        orderLength = "";
        cutHeadLength = "";
        cutTrailLength = "";
        sawNo = "";
        sawNoN = "";
        status = "";
        startSawTime = "";
        endSawTime = "";
        offlineFlag = "";
        offlineTime = "";
        followFlag = "";
        followHeatNo = "";
        followTime = "";
        groupFlag = "";
        beforeHeatNo = "";
        beforeMatNo = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
    }

    /**
     * 切后剔除支数
     * @return value
     */
    public String getScrapDbnum() {
        return scrapDbnum;
    }

    /**
     * 切后剔除支数
     * @param scrapDbnum value
     */
    public void setScrapDbnum(String scrapDbnum) {
        this.scrapDbnum = scrapDbnum;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 排号
     * @return value
     */
    public String getRowNo() {
        return rowNo;
    }

    /**
     * 排号
     * @param rowNo value
     */
    public void setRowNo(String rowNo) {
        this.rowNo = rowNo;
    }

    /**
     * 定尺长度
     * @return value
     */
    public String getOrderLength() {
        return orderLength;
    }

    /**
     * 定尺长度
     * @param orderLength value
     */
    public void setOrderLength(String orderLength) {
        this.orderLength = orderLength;
    }

    /**
     * 切头长度
     * @return value
     */
    public String getCutHeadLength() {
        return cutHeadLength;
    }

    /**
     * 切头长度
     * @param cutHeadLength value
     */
    public void setCutHeadLength(String cutHeadLength) {
        this.cutHeadLength = cutHeadLength;
    }

    /**
     * 切尾长度
     * @return value
     */
    public String getCutTrailLength() {
        return cutTrailLength;
    }

    /**
     * 切尾长度
     * @param cutTrailLength value
     */
    public void setCutTrailLength(String cutTrailLength) {
        this.cutTrailLength = cutTrailLength;
    }

    /**
     * 锯号1
     * @return value
     */
    public String getSawNo() {
        return sawNo;
    }

    /**
     * 锯号1
     * @param sawNo value
     */
    public void setSawNo(String sawNo) {
        this.sawNo = sawNo;
    }

    /**
     * 锯号2
     * @return value
     */
    public String getSawNoN() {
        return sawNoN;
    }

    /**
     * 锯号2
     * @param sawNoN value
     */
    public void setSawNoN(String sawNoN) {
        this.sawNoN = sawNoN;
    }

    /**
     * 状态(0-未分切 1-开始分切 2-切前剔除 3-切后剔除 4-分切完成)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态(0-未分切 1-开始分切 2-切前剔除 3-切后剔除 4-分切完成)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 管排锯开始时间
     * @return value
     */
    public String getStartSawTime() {
        return startSawTime;
    }

    /**
     * 管排锯开始时间
     * @param startSawTime value
     */
    public void setStartSawTime(String startSawTime) {
        this.startSawTime = startSawTime;
    }

    /**
     * 管排锯结束时间
     * @return value
     */
    public String getEndSawTime() {
        return endSawTime;
    }

    /**
     * 管排锯结束时间
     * @param endSawTime value
     */
    public void setEndSawTime(String endSawTime) {
        this.endSawTime = endSawTime;
    }

    /**
     * 下线标识(0-未下线 1-下线)
     * @return value
     */
    public String getOfflineFlag() {
        return offlineFlag;
    }

    /**
     * 下线标识(0-未下线 1-下线)
     * @param offlineFlag value
     */
    public void setOfflineFlag(String offlineFlag) {
        this.offlineFlag = offlineFlag;
    }

    /**
     * 下线时间
     * @return value
     */
    public String getOfflineTime() {
        return offlineTime;
    }

    /**
     * 下线时间
     * @param offlineTime value
     */
    public void setOfflineTime(String offlineTime) {
        this.offlineTime = offlineTime;
    }

    /**
     * 跟队标识(0-未跟队 1-跟队)
     * @return value
     */
    public String getFollowFlag() {
        return followFlag;
    }

    /**
     * 跟队标识(0-未跟队 1-跟队)
     * @param followFlag value
     */
    public void setFollowFlag(String followFlag) {
        this.followFlag = followFlag;
    }

    /**
     * 跟队炉号
     * @return value
     */
    public String getFollowHeatNo() {
        return followHeatNo;
    }

    /**
     * 跟队炉号
     * @param followHeatNo value
     */
    public void setFollowHeatNo(String followHeatNo) {
        this.followHeatNo = followHeatNo;
    }

    /**
     * 跟队时间
     * @return value
     */
    public String getFollowTime() {
        return followTime;
    }

    /**
     * 跟队时间
     * @param followTime value
     */
    public void setFollowTime(String followTime) {
        this.followTime = followTime;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @return value
     */
    public String getGroupFlag() {
        return groupFlag;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @param groupFlag value
     */
    public void setGroupFlag(String groupFlag) {
        this.groupFlag = groupFlag;
    }

    /**
     * 组炉前炉号
     * @return value
     */
    public String getBeforeHeatNo() {
        return beforeHeatNo;
    }

    /**
     * 组炉前炉号
     * @param beforeHeatNo value
     */
    public void setBeforeHeatNo(String beforeHeatNo) {
        this.beforeHeatNo = beforeHeatNo;
    }

    /**
     * 组炉前物料号
     * @return value
     */
    public String getBeforeMatNo() {
        return beforeMatNo;
    }

    /**
     * 组炉前物料号
     * @param beforeMatNo value
     */
    public void setBeforeMatNo(String beforeMatNo) {
        this.beforeMatNo = beforeMatNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
    /**
     * 最后一刀定尺长
     * @return value
     */
    public String getLastOrderLength() {
        return lastOrderLength;
    }

    /**
     * 最后一刀定尺长
     * @param lastOrderLength value
     */
    public void setLastOrderLength(String lastOrderLength) {
        this.lastOrderLength = lastOrderLength;
    }

    /**
     * 切尾类型（0-被动切尾 1-主动切尾）
     * @return value
     */
    public String getCutType() {
        return cutType;
    }

    /**
     * 切尾类型（0-被动切尾 1-主动切尾）
     * @param cutType value
     */
    public void setCutType(String cutType) {
        this.cutType = cutType;
    }

    /**
     * 实际轧制长度
     * @return value
     */
    public String getRealRollLength() {
        return realRollLength;
    }

    /**
     * 实际轧制长度
     * @param realRollLength value
     */
    public void setRealRollLength(String realRollLength) {
        this.realRollLength = realRollLength;
    }
    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
    
}